# Define the kmod package name here.
%define kmod_name xtables-addons

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %{expand: %%define kversion %(uname -r)}}

Name:		%{kmod_name}-kmod
Summary:	Kernel module (kmod) for xtables-addons
Version:	2.5
Release:	1%{?dist}.%(echo %{kversion} | tr - _).frank.1
License:	GPLv2
Group:		System Environment/Kernel
URL:		http://xtables-addons.sourceforge.net
Source0:	http://downloads.sourceforge.net/xtables-addons/xtables-addons-%{version}.tar.xz
Source10:	kmodtool-el6-%{kmod_name}.sh
# get the needed BuildRequires (in parts depending on what we build for)
BuildRequires:	redhat-rpm-config
Requires:	kernel-uname-r == %{kversion}
ExclusiveArch: i686 x86_64

# In Fedora derived kernels, we don't have so many checks for kabi etc. so don't use RH dependency finders
%global _use_internal_dependency_generator 0
%define __find_provides /usr/lib/rpm/find-provides
%define __find_requires /usr/lib/rpm/find-requires

# Magic hidden here.
%define kmodtool sh %{SOURCE10}
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kversion} "" 2>/dev/null)}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
Xtables-addons provides extra modules for iptables not present in the kernel, 
and is the successor of patch-o-matic. Extensions includes new targets like 
TEE, TARPIT, CHAOS, or modules like geoip and account.

This package provides the xtables-addons kernel modules. You must also install 
the xtables-addons package in order to make use of these modules.

%prep
# error out if there was something wrong with kmodtool
%{?kmodtool_check}
# print kmodtool output for debugging purposes:
%{kmodtool} rpmtemplate %{kmod_name} %{kversion} "" 2>/dev/null

%setup -q -c -T -a 0


%build
ksrc=%{_usrsrc}/kernels/%{kversion}
%define ksrc %{_usrsrc}/kernels/%{kversion}
# Vedremo se abilitare questi
#sed -i 's/build_ECHO=/build_ECHO=m/' $PWD/xtables-addons-%{version}/mconfig
#sed -i 's/build_ipset4=/build_ipset4=m/' $PWD/xtables-addons-%{version}/mconfig
	if ! grep -q 'XT_TARGET_TEE=m' %{ksrc}/.config; then
		sed -i 's/build_TEE=/build_TEE=m/' $PWD/xtables-addons-%{version}/mconfig
	fi
	if ! grep -q 'XT_TARGET_CHECKSUM=m' %{ksrc}/.config; then
		sed -i 's/build_CHECKSUM=/build_CHECKSUM=m/' $PWD/xtables-addons-%{version}/mconfig
	fi
	export XA_ABSTOPSRCDIR=${PWD}/xtables-addons-%{version}
%{__make} V=1 -C "${ksrc}" %{?_smp_mflags} M=$PWD/xtables-addons-%{version}/extensions modules


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
ksrc=%{_usrsrc}/kernels/%{kversion}
	export XA_ABSTOPSRCDIR=${PWD}/xtables-addons-%{version}
	make %{?_smp_mflags} V=1 -C "${ksrc}" M=$PWD/xtables-addons-%{version}/extensions _emodinst_ INSTALL_MOD_PATH=%{buildroot} ext-mod-dir=${INSTALL_MOD_DIR}
chmod u+x %{buildroot}/lib/modules/*/extra/*/*
# Strip the module(s).
find ${INSTALL_MOD_PATH} -type f -name \*.ko -exec %{__strip} --strip-debug \{\} \;
# Remove the files that are not required.
%{__rm} -f ${INSTALL_MOD_PATH}/lib/modules/%{kversion}/modules.*

%clean
rm -rf %{buildroot}

%changelog
* Wed Oct 27 2010 Chen Lei <supercyper@163.com> - 1.30-1
- update to 1.30

* Sun Jul 25 2010 Chen Lei <supercyper@163.com> - 1.28-1
- update to 1.28

* Mon Jun 28 2010 Chen Lei <supercyper@163.com> - 1.27-2
- rebuild for kernel 2.6.35

* Mon May 31 2010 Chen Lei <supercyper@163.com> - 1.27-1
- update to 1.27

* Thu May 20 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.26-1.4
- rebuild for new kernel

* Mon May 17 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.26-1.3
- rebuild for new kernel

* Fri May 07 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.26-1.2
- rebuild for new kernel

* Tue May 04 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.26-1.1
- rebuild for new kernel

* Sun May 02 2010 Chen Lei <supercyper@163.com> - 1.26-1
- update to 1.26

* Thu Apr 29 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.25-1.1
- rebuild for new kernel

* Mon Apr 26 2010 Chen Lei <supercyper@163.com> - 1.25-1
- update to 1.25

* Sun Apr 25 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.24-1.1
- rebuild for new kernel

* Thu Mar 18 2010 Chen Lei <supercyper@163.com> - 1.24-1
- initial rpm build
